#!/bin/sh
opkg update
pyversion="$(python -V 2>&1)"
if [[ $pyversion =~ "Python 3" ]]; then
  if python -c "import requests" &> /dev/null; then
    echo ""
  else
    opkg install python3-requests
  fi
  echo ""
else
  if python -c "import requests" &> /dev/null; then
    echo ""
  else
    opkg install python-requests
  fi
  echo ""
fi
echo "Checking dependencie wireguard"
echo ""
echo "Updating feeds"
echo ""
if [ -f /etc/iptables/iptables.rules ]; then
  echo ""
else
  echo ""
  echo "Install iptables"
  opkg --force-reinstall --force-overwrite install iptables &> /dev/null 2>&1
fi
if [ -f /usr/bin/wg ]; then
  echo ""
else
  echo ""
  echo "Install wireguard-tools"
  opkg --force-reinstall --force-overwrite install wireguard-tools &> /dev/null 2>&1
	opkg --force-reinstall --force-overwrite install wireguard-tools-bash-completion &> /dev/null 2>&1
	opkg --force-reinstall --force-overwrite install openresolv &> /dev/null 2>&1
fi
rm -rf /tmp/*.ipk
exit 0
